apiVersion: apps/v1
kind: Deployment
metadata:
  name: nodejs-deployment
spec:
  selector:
    matchLabels:
      app: nodejs
  replicas: 1
  template:
    metadata:
      labels:
        app: nodejs
    spec:
      containers:
      - name: nodejs
        image: 580741598336.dkr.ecr.us-east-1.amazonaws.com/docker-repo:325e2b20
        ports:
        - containerPort: 3000
